sc::XalphaFunctional(3)

NAME
sc::XalphaFunctional -

Implements the Xalpha exchange functional.

SYNOPSIS

#include <functional.h>

Inherits sc::DenFunctional.

  Public Member Functions
XalphaFunctional (const Ref< KeyVal > &)
XalphaFunctional (StateIn &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void point (const PointInputData &, PointOutputData &)
void print (std::ostream &=ExEnv::out0()) const
Print the object.

  Protected Attributes
double alpha_
double factor_

  Additional Inherited Members

Detailed Description

Implements the Xalpha exchange functional.

Member Function Documentation

  void sc::XalphaFunctional::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::DenFunctional.

Author

Generated automatically by Doxygen for MPQC from the source code.